For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETRetrieve a review for a business
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationReviews

Retrieve a review for a business

GET
https://api.middesk.com/v1/businesses/:business_id/review
GET
/v1/businesses/:business_id/review
$curl https://api.middesk.com/v1/businesses/business_id/review \
> -H "Authorization: Bearer <token>"
1{
2 "object": "review",
3 "id": "e5f6a7b8-c9d0-1234-ef01-23456789abcd",
4 "created_at": "2025-01-07T12:00:00Z",
5 "updated_at": "2025-01-07T12:00:00Z",
6 "tasks": [
7 {
8 "category": "name",
9 "key": "location_frequency",
10 "label": "Politically Exposed Persons",
11 "message": "Business name requires verification",
12 "name": "name",
13 "status": "success",
14 "sub_label": "Verify business name",
15 "sources": [
16 {
17 "id": "id",
18 "type": "type",
19 "metadata": {
20 "key": "value"
21 }
22 }
23 ]
24 },
25 {
26 "category": "address",
27 "key": "address_verification",
28 "label": "Politically Exposed Persons",
29 "message": "Business address requires verification",
30 "name": "name",
31 "status": "success",
32 "sub_label": "Verify business address",
33 "sources": [
34 {
35 "id": "id",
36 "type": "type",
37 "metadata": {
38 "key": "value"
39 }
40 }
41 ]
42 }
43 ]
44}
Returns the review associated with a business
Was this page helpful?
Previous

List actions for an object

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

business_idstringRequired
Business ID

Response

review found
objectenum
Allowed values:
idstringformat: "uuid"
created_atdatetime
updated_atdatetime
taskslist of objects
completed_atdatetime or null
assigneeobject or null

Errors

404
Get Business Review Request Not Found Error